Author Topic: Zentyal 5.0 Issues  (Read 2407 times)

nontrivial

  • Zen Warrior
  • ***
  • Posts: 180
  • Karma: +16/-0
    • View Profile
Zentyal 5.0 Issues
« on: February 01, 2017, 04:09:31 pm »
I prepped a new server in case the upgrade from 4.2 to 5.0 went wrong but for the most part it seems to have worked. But there are issues, namely my mechanism to use trusted certificates seems to have failed and neither anti-virus nor spam checking seem to be working. They seem to Just Work before, so now I'm going to have to research how to get them all working again. I'll try to keep you all posted.

nontrivial

  • Zen Warrior
  • ***
  • Posts: 180
  • Karma: +16/-0
    • View Profile
Re: Zentyal 5.0 Issues
« Reply #1 on: February 01, 2017, 04:32:59 pm »
Well that didn't take long. There is a new filter option under Mail -> General -> Mail Filter Options that looks promising, but it looks like mail filters are now DIY. And I did find a good tutorial on doing what I what I want to do at https://help.ubuntu.com/lts/serverguide/mail-filtering.html .

The bad news is the upgrade appears to have made the system a bit shaky. The first issue I have come across is that apt is hopelessly confused when it comes to the lxdm package, so I am going to have to come up with a way to get apt working again. If you plan on doing the upgrade anytime soon I suggest that you uninstall lxdm first.

nontrivial

  • Zen Warrior
  • ***
  • Posts: 180
  • Karma: +16/-0
    • View Profile
Re: Zentyal 5.0 Issues
« Reply #2 on: February 01, 2017, 05:02:20 pm »
This lxdm-breaking-apt issue seems to be a new one for the internet. So far the best solution I can come up with is to edit /var/lib/dpkg/status and remove the lxdm section, but if I try to reinstall lxdm or zentyal-desktop the error crops up again. So I guess I am out of luck for a GUI on this server unless I want do a reinstall from scratch. I am going to try and remove the lxdm package by hand on this server and try removing the lxdm package before the next upgrade attempt.

Typical errors I am getting are:

update-rc.d: error: lxdm Default-Start contains no runlevels, aborting.
dpkg: error processing package lxdm (--remove):
 subprocess installed post-removal script returned error exit status 1
Errors were encountered while processing:
 lxdm
E: Sub-process /usr/bin/dpkg returned an error code (1)

nontrivial

  • Zen Warrior
  • ***
  • Posts: 180
  • Karma: +16/-0
    • View Profile
Re: Zentyal 5.0 Issues
« Reply #3 on: February 02, 2017, 05:00:22 pm »
I am finally getting to the end of the upgrade process. During the upgrade process any customization scripts (/etc/zentyal/hooks) are moved out of the way. After moving them back my letsencrypt and mlmmj scripts seem to work  without modification with one exception. It appears that with version 5 Zentyal has renamed the openchange module to sogo, so I need to rename openchange.postsetconf to sogo.postsetconf. In the webmin they have renamed openchange to ActiveSync. Also, I have worked through getting virus and spam blocking working but I am going to put that in a separate post.

So the only issue left right now is SOGO is completely broken. I thought I had it solved because  openchange-ocsmanager was broken because some obscure package called python-pastescript was missing. But after getting that running I can't find anything wrong but I still keep getting the following error in the apache log:

[Thu Feb 02 09:43:03.931383 2017] [proxy:error] [pid 29478:tid 140504065857280] (111)Connection refused: AH00957: HTTP: attempt to connect to 127.0.0.1:20000 (127.0.0.1) failed
[Thu Feb 02 09:43:03.931571 2017] [proxy:error] [pid 29478:tid 140504065857280] AH00959: ap_proxy_connect_backend disabling worker for (127.0.0.1) for 0s
[Thu Feb 02 09:43:03.931606 2017] [proxy_http:error] [pid 29478:tid 140504065857280] [client 192.168.1.240:55098] AH01114: HTTP: failed to make connection to backend: 127.0.0.1

Huh. If I manually start openchange and sogo the old fashioned way ("/etc/init.d/openchange-ocsmanager start" and "/etc/init.d/sogo start") then SOGO lets me log in but it never displays anything.

What a mess. I think I am just going to give up on the upgrade process for now and just see how a fresh install goes.

milltm03

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Zentyal 5.0 Issues
« Reply #4 on: February 02, 2017, 10:32:37 pm »
FYI, according to the change log (https://wiki.zentyal.org/wiki/Zentyal_5.0_Changelog) OpenChange has been removed from this version because of stability issues.  So that probably would explain your need to change the filename.

Neustradamus

  • Zen Monk
  • **
  • Posts: 92
  • Karma: +0/-5
    • View Profile
Re: Zentyal 5.0 Issues
« Reply #5 on: January 18, 2021, 06:22:36 am »
Since my first ticket for Let's Encrypt support: https://github.com/zentyal/zentyal/issues/1836 (it has been closed by Zentyal Team).

I have created a second ticket for Let's Encrypt support which has been closed by Zentyal Team too.

I have created a third ticket for Let's Encrypt support, can you like, comment on it?
- https://github.com/zentyal/zentyal/issues/2015